%{?scl:%scl_package python-kombu}
%{!?scl:%global pkg_name %{name}}

%global srcname kombu

Summary:    Multiprocessing Pool Extensions
Name:       %{?scl_prefix}python-kombu
Version:    3.0.36
Release:    1%{?dist}
License:    BSD and Python
Url:        http://pypi.python.org/pypi/kombu
Source0:    http://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-setuptools
BuildRequires:  %{?scl_prefix}python-nose
BuildRequires:  %{?scl_prefix}python-anyjson

Requires:  %{?scl_prefix}python-anyjson >= 0.3.3
Requires:  %{?scl_prefix}python-amqp >= 1.4.9

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains extensions to the multiprocessing Pool.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
rm -rf %{buildroot}
%{?scl:scl enable %{scl} "}
%{__python3} setup.py install --no-compile --root %{buildroot}
%{?scl:"}

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS Changelog FAQ LICENSE READ* THANKS TODO examples/
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
* Wed Oct 5 2016 Patrick Creech <pcreech@redhat.com> - 3.0.36-1
- Initial Release for 3.0.36

